%solve the following problem
%min c^T x
%s.t. x = A*y
%     l_x <= x <= u_x
%     l_y<= y <=u_y,

%-----------------
%---------------
clc;close all;clear;
n=10;p=3;q=1;

Temp=randn(n,n)+1i*randn(n,n);
C=Temp'+Temp;
C=C'*C;

A=zeros(n,n,p);
for p1=1:p
    Temp=randn(n,n)+1i*randn(n,n);
    A(:,:,p1)=Temp'+Temp;
end;


E=zeros(n,n,q);
for q1=1:q
    Temp=randn(n,n)+1i*randn(n,n);
    E(:,:,q1)=Temp'+Temp;
end;

b=abs(randn(p,1));

f=randn(q,1);

%-------------
cvx_quiet(false);
cvx_begin
variable X(n,n) hermitian;

minimize (trace(C*X));
subject to

X==hermitian_semidefinite(n);

for p1=1:p
    trace(A(:,:,p1)*X)<=b(p1);
end


for q1=1:q
    trace(E(:,:,q1)*X)==f(q1);
end



cvx_end
